Subject: Re: [PATCH] sound: soc: ti: rx51: remove stale reference to machine_is_nokia_rx51()

From: Jarkko Nikula <[email-masked]>
Date: Sat, 9 May 2026 16:07:31 +0300

Hi

On 09/05/2026 4:22 am, Ethan Nelson-Moore wrote:
> The rx51 driver relies on the machine_is_nokia_rx51() macro, which is
> always false since commit 9b7141d01a76 ("ARM: OMAP2+: Drop legacy board
> file for n900"). Its presence prevents the removal of boards no longer
> present in the kernel from arch/arm/tools/mach-types, because the
> machine_is_*() macros are generated from mach-types. Drop this unused
> code.
Not fully true since machine_is_nokia_rx51() still returns true on RX51
(N900) and driver loads successfully both before and after your patch.
But true you may remove this test so please update the commit log and
you may add my tested by tag:

Tested-by: Jarkko Nikula <[email-masked]>